<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'bixo',

    /*
     * Package.
     */
    'package'   => 'deal',

    /*
     * Modules.
     */
    'modules'   => ['conveyancing', 'deal'],

    'conveyancing'       => [
        'model' => [
            'model'                 => \Bixo\Deal\Models\Conveyancing::class,
            'table'                 => 'conveyancings',
            'presenter'             => \Bixo\Deal\Repositories\Presenter\ConveyancingPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'parent_id',  'buyer_id',  'seller_id',  'team_id',  'offer_id',  'deal_id',  'seller_source',  'buyer_source',  'category_id',  'listing_id',  'opportunity_id',  'country_id',  'state_id',  'city_id',  'location_id',  'sublocation_id',  'property_id',  'ref',  'type',  'sub_type',  'property_type',  'developer_id',  'bua',  'plot',  'premises_no',  'status',  'price',  'title',  'str',  'fitted',  'baths',  'plot_area',  'frequency',  'furnished',  'cheques',  'instalments',  'instalment',  'maintenance_fee',  'next_available',  'rent_start_date',  'rent_end_date',  'rera',  'payment_mode',  'deposit',  'deposit_percent',  'commission_buyer',  'commission_buyer_percent',  'commission_seller',  'commission_seller_percent',  'commission_buyer_vat',  'commission_seller_vat',  'company_com_prs',  'company_com_amt',  'deal_date',  'spa_date',  'deal_est_date',  'unit_no',  'subject_of_tenancy',  'period_of_tenancy',  'terms_of_payment',  'shared',  'agent_name',  'agency_name',  'representing',  'agents_name',  'agency_prs',  'agents_contact_no',  'agent1',  'commission1_prs',  'commission1_amt',  'agent2',  'commission2_prs',  'commission2_amt',  'agent3',  'commission3_prs',  'commission3_amt',  'agency_commission_prs',  'agency_commission_amt',  'agency',  'agency_amount',  'conveyance_fee',  'penalty',  'prev_notes',  'beds',  'atype',  'street',  'floor',  'property_usage',  'tenancy',  'notes',  'documents',  'pdf_documents',  'seller_documents',  'buyer_documents',  'deals_area',  'google_review',  'property_management',  'verified_id',  'completed_date',  'notifications',  'approved_id',  'approved_date',  'closed_id',  'closed_date',  'payment_date',  'rejected_id',  'rejected_description',  'status_previous',  'status_aml',  'status_fcs',  'aml_id',  'aml_required',  'aml_ids',  'aml_notes',  'aml_score',  'aml_date',  'user_id',  'user_type',  'created_at',  'updated_at',  'deleted_at',  'created_by',  'additional_terms'],
            'translatables'         => [],
            'upload_folder'         => 'deal/conveyancing',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Bixo',
            'package'   => 'Deal',
            'module'    => 'Conveyancing',
        ],

    ],
    'deal'       => [
        'model' => [
            'model'                 => \Bixo\Deal\Models\Deal::class,
            'table'                 => 'deals',
            'presenter'             => \Bixo\Deal\Repositories\Presenter\DealPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'parent_id',  'buyer_id',  'seller_id',  'team_id',  'offer_id',  'seller_source',  'buyer_source',  'category_id',  'listing_id',  'opportunity_id',  'country_id',  'state_id',  'city_id',  'location_id',  'sublocation_id',  'property_id',  'ref',  'type',  'sub_type',  'property_type',  'developer_id',  'bua',  'plot',  'premises_no',  'status',  'price',  'title',  'str',  'fitted',  'baths',  'plot_area',  'frequency',  'furnished',  'cheques',  'instalments',  'instalment',  'maintenance_fee',  'next_available',  'rent_start_date',  'rent_end_date',  'rera',  'payment_mode',  'deposit',  'deposit_percent',  'commission_buyer',  'commission_buyer_percent',  'commission_seller',  'commission_seller_percent',  'commission_buyer_vat',  'commission_seller_vat',  'company_com_prs',  'company_com_amt',  'deal_date',  'spa_date',  'deal_est_date',  'unit_no',  'subject_of_tenancy',  'period_of_tenancy',  'terms_of_payment',  'shared',  'agent_name',  'agency_name',  'representing',  'agents_name',  'agency_prs',  'agents_contact_no',  'agent1',  'commission1_prs',  'commission1_amt',  'agent2',  'commission2_prs',  'commission2_amt',  'agent3',  'commission3_prs',  'commission3_amt',  'agency_commission_prs',  'agency_commission_amt',  'agency',  'agency_amount',  'conveyance_fee',  'penalty',  'prev_notes',  'beds',  'atype',  'street',  'floor',  'property_usage',  'tenancy',  'notes',  'documents',  'pdf_documents',  'seller_documents',  'buyer_documents',  'deals_area',  'google_review',  'property_management',  'verified_id',  'completed_date',  'notifications',  'approved_id',  'approved_date',  'closed_id',  'closed_date',  'payment_date',  'rejected_id',  'rejected_description',  'status_previous',  'status_aml',  'status_fcs',  'aml_id',  'aml_required',  'aml_ids',  'aml_notes',  'aml_score',  'aml_date',  'user_id',  'user_type',  'created_at',  'updated_at',  'deleted_at',  'created_by',  'additional_terms'],
            'translatables'         => [],
            'upload_folder'         => 'deal/deal',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Bixo',
            'package'   => 'Deal',
            'module'    => 'Deal',
        ],

    ],
];
