<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateConveyancingsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: conveyancings
         */
        Schema::create('conveyancings', function ($table) {
            $table->increments('id');
            $table->integer('parent_id')->nullable();
            $table->integer('buyer_id')->nullable();
            $table->integer('seller_id')->nullable();
            $table->integer('team_id')->nullable();
            $table->integer('offer_id')->nullable();
            $table->integer('deal_id')->nullable();
            $table->string('seller_source', 100)->nullable();
            $table->string('buyer_source', 100)->nullable();
            $table->integer('category_id')->nullable();
            $table->integer('listing_id')->nullable();
            $table->integer('opportunity_id')->nullable();
            $table->integer('country_id')->nullable();
            $table->integer('state_id')->nullable();
            $table->integer('city_id')->nullable();
            $table->integer('location_id')->nullable();
            $table->integer('sublocation_id')->nullable();
            $table->integer('property_id')->nullable();
            $table->string('ref', 20)->nullable();
            $table->string('type', 100)->nullable();
            $table->string('sub_type', 30)->nullable();
            $table->string('property_type', 125)->nullable();
            $table->integer('developer_id')->nullable();
            $table->integer('bua')->nullable();
            $table->string('plot', 100)->nullable();
            $table->string('premises_no', 100)->nullable();
            $table->enum('status', ['Closed','Pending','Approved','Draft','Paid','AML Pending','AML Rejected',''])->nullable();
            $table->decimal('price', 12,2)->nullable();
            $table->string('title', 200)->nullable();
            $table->string('str', 100)->nullable();
            $table->string('fitted', 60)->nullable();
            $table->string('baths', 60)->nullable();
            $table->string('plot_area', 60)->nullable();
            $table->string('frequency', 60)->nullable();
            $table->string('furnished', 60)->nullable();
            $table->string('cheques', 60)->nullable();
            $table->integer('instalments')->nullable();
            $table->integer('instalment')->nullable();
            $table->string('maintenance_fee', 80)->nullable();
            $table->string('next_available', 60)->nullable();
            $table->date('rent_start_date')->nullable();
            $table->date('rent_end_date')->nullable();
            $table->string('rera', 60)->nullable();
            $table->string('payment_mode', 100)->nullable();
            $table->decimal('deposit', 10,2)->nullable();
            $table->decimal('deposit_percent', 10,2)->nullable();
            $table->decimal('commission_buyer', 10,2)->nullable();
            $table->decimal('commission_buyer_percent', 10,2)->nullable();
            $table->decimal('commission_seller', 10,2)->nullable();
            $table->decimal('commission_seller_percent', 10,2)->nullable();
            $table->decimal('commission_buyer_vat', 10,2)->nullable();
            $table->decimal('commission_seller_vat', 10,2)->nullable();
            $table->integer('company_com_prs')->nullable();
            $table->integer('company_com_amt')->nullable();
            $table->date('deal_date')->nullable();
            $table->date('spa_date')->nullable();
            $table->date('deal_est_date')->nullable();
            $table->string('unit_no', 100)->nullable();
            $table->string('subject_of_tenancy', 255)->nullable();
            $table->string('period_of_tenancy', 255)->nullable();
            $table->string('terms_of_payment', 255)->nullable();
            $table->string('shared', 100)->nullable();
            $table->string('agent_name', 200)->nullable();
            $table->string('agency_name', 255)->nullable();
            $table->string('representing', 100)->nullable();
            $table->string('agents_name', 255)->nullable();
            $table->integer('agency_prs')->nullable();
            $table->text('agents_contact_no')->nullable();
            $table->string('agent1', 100)->nullable();
            $table->decimal('commission1_prs', 10,2)->nullable();
            $table->string('commission1_amt', 100)->nullable();
            $table->string('agent2', 100)->nullable();
            $table->decimal('commission2_prs', 10,2)->nullable();
            $table->decimal('commission2_amt', 10,2)->nullable();
            $table->string('agent3', 100)->nullable();
            $table->decimal('commission3_prs', 10,2)->nullable();
            $table->decimal('commission3_amt', 10,2)->nullable();
            $table->string('agency_commission_prs', 255)->nullable();
            $table->string('agency_commission_amt', 255)->nullable();
            $table->text('agency')->nullable();
            $table->decimal('agency_amount', 10,2)->nullable();
            $table->decimal('conveyance_fee', 10,2)->nullable();
            $table->decimal('penalty', 10,2)->nullable();
            $table->string('prev_notes', 100)->nullable();
            $table->string('beds', 100)->nullable();
            $table->string('atype', 100)->nullable();
            $table->string('street', 100)->nullable();
            $table->string('floor', 100)->nullable();
            $table->enum('property_usage', ['Industrial','Commercial','Residential',''])->nullable();
            $table->date('tenancy')->nullable();
            $table->text('notes')->nullable();
            $table->text('documents')->nullable();
            $table->text('pdf_documents')->nullable();
            $table->text('seller_documents')->nullable();
            $table->text('buyer_documents')->nullable();
            $table->string('deals_area', 100)->nullable();
            $table->string('google_review', 255)->nullable();
            $table->string('property_management', 100)->nullable();
            $table->integer('verified_id')->nullable();
            $table->dateTime('completed_date')->nullable();
            $table->text('notifications')->nullable();
            $table->integer('approved_id')->nullable();
            $table->dateTime('approved_date')->nullable();
            $table->integer('closed_id')->nullable();
            $table->dateTime('closed_date')->nullable();
            $table->dateTime('payment_date')->nullable();
            $table->integer('rejected_id')->nullable();
            $table->text('rejected_description')->nullable();
            $table->string('status_previous', 30)->nullable();
            $table->enum('status_aml', ['Pending','Approved','Rejected',''])->nullable();
            $table->enum('status_fcs', ['New','Positive Match','False Match'])->nullable();
            $table->integer('aml_id')->nullable();
            $table->enum('aml_required', ['Yes','No','Moderate',''])->nullable();
            $table->text('aml_ids')->nullable();
            $table->text('aml_notes')->nullable();
            $table->integer('aml_score')->nullable();
            $table->dateTime('aml_date')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 50)->nullable();
            $table->integer('created_by')->nullable();
            $table->text('additional_terms')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('conveyancings');
    }
}
