<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for conveyancing in deal package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  conveyancing module in deal package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Conveyancing',
    'names'         => 'Conveyancings',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Conveyancings',
        'sub'   => 'Conveyancings',
        'list'  => 'List of conveyancings',
        'edit'  => 'Edit conveyancing',
        'create'    => 'Create new conveyancing'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'status'              => ['Closed','Pending','Approved','Draft','Paid','AML Pending','AML Rejected',''],
            'property_usage'      => ['Industrial','Commercial','Residential',''],
            'status_aml'          => ['Pending','Approved','Rejected',''],
            'status_fcs'          => ['New','Positive Match','False Match'],
            'aml_required'        => ['Yes','No','Moderate',''],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'parent_id'                  => 'Please enter parent id',
        'buyer_id'                   => 'Please enter buyer id',
        'seller_id'                  => 'Please enter seller id',
        'team_id'                    => 'Please enter team id',
        'offer_id'                   => 'Please enter offer id',
        'deal_id'                    => '',
        'seller_source'              => 'Please enter seller source',
        'buyer_source'               => 'Please enter buyer source',
        'category_id'                => 'Please enter category id',
        'listing_id'                 => 'Please enter listing id',
        'opportunity_id'             => 'Please enter opportunity id',
        'country_id'                 => 'Please enter country id',
        'state_id'                   => 'Please enter state id',
        'city_id'                    => 'Please enter city id',
        'location_id'                => 'Please enter location id',
        'sublocation_id'             => 'Please enter sublocation id',
        'property_id'                => 'Please enter property id',
        'ref'                        => 'Please enter ref',
        'type'                       => 'Please enter type',
        'sub_type'                   => 'Please enter sub type',
        'property_type'              => 'Please enter property type',
        'developer_id'               => 'Please enter developer id',
        'bua'                        => 'Please enter bua',
        'plot'                       => 'Please enter plot',
        'premises_no'                => 'Please enter premises no',
        'status'                     => 'Please select status',
        'price'                      => 'Please enter price',
        'title'                      => 'Please enter title',
        'str'                        => 'Please enter str',
        'fitted'                     => 'Please enter fitted',
        'baths'                      => 'Please enter baths',
        'plot_area'                  => 'Please enter plot area',
        'frequency'                  => 'Please enter frequency',
        'furnished'                  => 'Please enter furnished',
        'cheques'                    => 'Please enter cheques',
        'instalments'                => 'Please enter instalments',
        'instalment'                 => 'Please enter instalment',
        'maintenance_fee'            => 'Please enter maintenance fee',
        'next_available'             => 'Please enter next available',
        'rent_start_date'            => 'Please select rent start date',
        'rent_end_date'              => 'Please select rent end date',
        'rera'                       => 'Please enter rera',
        'payment_mode'               => 'Please enter payment mode',
        'deposit'                    => 'Please enter deposit',
        'deposit_percent'            => 'Please enter deposit percent',
        'commission_buyer'           => 'Please enter commission buyer',
        'commission_buyer_percent'        => 'Please enter commission buyer percent',
        'commission_seller'          => 'Please enter commission seller',
        'commission_seller_percent'        => 'Please enter commission seller percent',
        'commission_buyer_vat'        => 'Please enter commission buyer vat',
        'commission_seller_vat'        => 'Please enter commission seller vat',
        'company_com_prs'            => 'Please enter company com prs',
        'company_com_amt'            => 'Please enter company com amt',
        'deal_date'                  => 'Please select deal date',
        'spa_date'                   => 'Please select spa date',
        'deal_est_date'              => 'Please select deal est date',
        'unit_no'                    => 'Please enter unit no',
        'subject_of_tenancy'         => 'Please enter subject of tenancy',
        'period_of_tenancy'          => 'Please enter period of tenancy',
        'terms_of_payment'           => 'Please enter terms of payment',
        'shared'                     => 'Please enter shared',
        'agent_name'                 => 'Please enter agent name',
        'agency_name'                => 'Please enter agency name',
        'representing'               => 'Please enter representing',
        'agents_name'                => 'Please enter agents name',
        'agency_prs'                 => 'Please enter agency prs',
        'agents_contact_no'          => 'Please enter agents contact no',
        'agent1'                     => 'Please enter agent1',
        'commission1_prs'            => 'Please enter commission1 prs',
        'commission1_amt'            => 'Please enter commission1 amt',
        'agent2'                     => 'Please enter agent2',
        'commission2_prs'            => 'Please enter commission2 prs',
        'commission2_amt'            => 'Please enter commission2 amt',
        'agent3'                     => 'Please enter agent3',
        'commission3_prs'            => 'Please enter commission3 prs',
        'commission3_amt'            => 'Please enter commission3 amt',
        'agency_commission_prs'        => 'Please enter agency commission prs',
        'agency_commission_amt'        => 'Please enter agency commission amt',
        'agency'                     => 'Please enter agency',
        'agency_amount'              => 'Please enter agency amount',
        'conveyance_fee'             => 'Please enter conveyance fee',
        'penalty'                    => 'Please enter penalty',
        'prev_notes'                 => 'Please enter prev notes',
        'beds'                       => 'Please enter beds',
        'atype'                      => 'Please enter atype',
        'street'                     => 'Please enter street',
        'floor'                      => 'Please enter floor',
        'property_usage'             => 'Please select property usage',
        'tenancy'                    => 'Please select tenancy',
        'notes'                      => 'Please enter notes',
        'documents'                  => 'Please enter documents',
        'pdf_documents'              => 'Please enter pdf documents',
        'seller_documents'           => 'Please enter seller documents',
        'buyer_documents'            => 'Please enter buyer documents',
        'deals_area'                 => 'Please enter deals area',
        'google_review'              => 'Please enter google review',
        'property_management'        => 'Please enter property management',
        'verified_id'                => 'Please enter verified id',
        'completed_date'             => 'Please select completed date',
        'notifications'              => 'Please enter notifications',
        'approved_id'                => 'Please enter approved id',
        'approved_date'              => 'Please select approved date',
        'closed_id'                  => 'Please enter closed id',
        'closed_date'                => 'Please select closed date',
        'payment_date'               => 'Please select payment date',
        'rejected_id'                => 'Please enter rejected id',
        'rejected_description'        => 'Please enter rejected description',
        'status_previous'            => 'Please enter status previous',
        'status_aml'                 => 'Please select status aml',
        'status_fcs'                 => 'Please select status fcs',
        'aml_id'                     => 'Please enter aml id',
        'aml_required'               => 'Please select aml required',
        'aml_ids'                    => 'Please enter aml ids',
        'aml_notes'                  => 'Please enter aml notes',
        'aml_score'                  => 'Please enter aml score',
        'aml_date'                   => 'Please select aml date',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
        'created_by'                 => 'Please enter created by',
        'additional_terms'           => 'Please enter additional terms',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'parent_id'                  => 'Parent id',
        'buyer_id'                   => 'Buyer id',
        'seller_id'                  => 'Seller id',
        'team_id'                    => 'Team id',
        'offer_id'                   => 'Offer id',
        'deal_id'                    => '',
        'seller_source'              => 'Seller source',
        'buyer_source'               => 'Buyer source',
        'category_id'                => 'Category id',
        'listing_id'                 => 'Listing id',
        'opportunity_id'             => 'Opportunity id',
        'country_id'                 => 'Country id',
        'state_id'                   => 'State id',
        'city_id'                    => 'City id',
        'location_id'                => 'Location id',
        'sublocation_id'             => 'Sublocation id',
        'property_id'                => 'Property id',
        'ref'                        => 'Ref',
        'type'                       => 'Type',
        'sub_type'                   => 'Sub type',
        'property_type'              => 'Property type',
        'developer_id'               => 'Developer id',
        'bua'                        => 'Bua',
        'plot'                       => 'Plot',
        'premises_no'                => 'Premises no',
        'status'                     => 'Status',
        'price'                      => 'Price',
        'title'                      => 'Title',
        'str'                        => 'Str',
        'fitted'                     => 'Fitted',
        'baths'                      => 'Baths',
        'plot_area'                  => 'Plot area',
        'frequency'                  => 'Frequency',
        'furnished'                  => 'Furnished',
        'cheques'                    => 'Cheques',
        'instalments'                => 'Instalments',
        'instalment'                 => 'Instalment',
        'maintenance_fee'            => 'Maintenance fee',
        'next_available'             => 'Next available',
        'rent_start_date'            => 'Rent start date',
        'rent_end_date'              => 'Rent end date',
        'rera'                       => 'Rera',
        'payment_mode'               => 'Payment mode',
        'deposit'                    => 'Deposit',
        'deposit_percent'            => 'Deposit percent',
        'commission_buyer'           => 'Commission buyer',
        'commission_buyer_percent'        => 'Commission buyer percent',
        'commission_seller'          => 'Commission seller',
        'commission_seller_percent'        => 'Commission seller percent',
        'commission_buyer_vat'        => 'Commission buyer vat',
        'commission_seller_vat'        => 'Commission seller vat',
        'company_com_prs'            => 'Company com prs',
        'company_com_amt'            => 'Company com amt',
        'deal_date'                  => 'Deal date',
        'spa_date'                   => 'Spa date',
        'deal_est_date'              => 'Deal est date',
        'unit_no'                    => 'Unit no',
        'subject_of_tenancy'         => 'Subject of tenancy',
        'period_of_tenancy'          => 'Period of tenancy',
        'terms_of_payment'           => 'Terms of payment',
        'shared'                     => 'Shared',
        'agent_name'                 => 'Agent name',
        'agency_name'                => 'Agency name',
        'representing'               => 'Representing',
        'agents_name'                => 'Agents name',
        'agency_prs'                 => 'Agency prs',
        'agents_contact_no'          => 'Agents contact no',
        'agent1'                     => 'Agent1',
        'commission1_prs'            => 'Commission1 prs',
        'commission1_amt'            => 'Commission1 amt',
        'agent2'                     => 'Agent2',
        'commission2_prs'            => 'Commission2 prs',
        'commission2_amt'            => 'Commission2 amt',
        'agent3'                     => 'Agent3',
        'commission3_prs'            => 'Commission3 prs',
        'commission3_amt'            => 'Commission3 amt',
        'agency_commission_prs'        => 'Agency commission prs',
        'agency_commission_amt'        => 'Agency commission amt',
        'agency'                     => 'Agency',
        'agency_amount'              => 'Agency amount',
        'conveyance_fee'             => 'Conveyance fee',
        'penalty'                    => 'Penalty',
        'prev_notes'                 => 'Prev notes',
        'beds'                       => 'Beds',
        'atype'                      => 'Atype',
        'street'                     => 'Street',
        'floor'                      => 'Floor',
        'property_usage'             => 'Property usage',
        'tenancy'                    => 'Tenancy',
        'notes'                      => 'Notes',
        'documents'                  => 'Documents',
        'pdf_documents'              => 'Pdf documents',
        'seller_documents'           => 'Seller documents',
        'buyer_documents'            => 'Buyer documents',
        'deals_area'                 => 'Deals area',
        'google_review'              => 'Google review',
        'property_management'        => 'Property management',
        'verified_id'                => 'Verified id',
        'completed_date'             => 'Completed date',
        'notifications'              => 'Notifications',
        'approved_id'                => 'Approved id',
        'approved_date'              => 'Approved date',
        'closed_id'                  => 'Closed id',
        'closed_date'                => 'Closed date',
        'payment_date'               => 'Payment date',
        'rejected_id'                => 'Rejected id',
        'rejected_description'        => 'Rejected description',
        'status_previous'            => 'Status previous',
        'status_aml'                 => 'Status aml',
        'status_fcs'                 => 'Status fcs',
        'aml_id'                     => 'Aml id',
        'aml_required'               => 'Aml required',
        'aml_ids'                    => 'Aml ids',
        'aml_notes'                  => 'Aml notes',
        'aml_score'                  => 'Aml score',
        'aml_date'                   => 'Aml date',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
        'created_by'                 => 'Created by',
        'additional_terms'           => 'Additional terms',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'parent_id'                  => ['name' => 'Parent id', 'data-column' => 1, 'checked'],
        'buyer_id'                   => ['name' => 'Buyer id', 'data-column' => 2, 'checked'],
        'seller_id'                  => ['name' => 'Seller id', 'data-column' => 3, 'checked'],
        'team_id'                    => ['name' => 'Team id', 'data-column' => 4, 'checked'],
        'offer_id'                   => ['name' => 'Offer id', 'data-column' => 5, 'checked'],
        'seller_source'              => ['name' => 'Seller source', 'data-column' => 6, 'checked'],
        'buyer_source'               => ['name' => 'Buyer source', 'data-column' => 7, 'checked'],
        'category_id'                => ['name' => 'Category id', 'data-column' => 8, 'checked'],
        'listing_id'                 => ['name' => 'Listing id', 'data-column' => 9, 'checked'],
        'opportunity_id'             => ['name' => 'Opportunity id', 'data-column' => 10, 'checked'],
        'country_id'                 => ['name' => 'Country id', 'data-column' => 11, 'checked'],
        'state_id'                   => ['name' => 'State id', 'data-column' => 12, 'checked'],
        'city_id'                    => ['name' => 'City id', 'data-column' => 13, 'checked'],
        'location_id'                => ['name' => 'Location id', 'data-column' => 14, 'checked'],
        'sublocation_id'             => ['name' => 'Sublocation id', 'data-column' => 15, 'checked'],
        'property_id'                => ['name' => 'Property id', 'data-column' => 16, 'checked'],
        'ref'                        => ['name' => 'Ref', 'data-column' => 17, 'checked'],
        'type'                       => ['name' => 'Type', 'data-column' => 18, 'checked'],
        'sub_type'                   => ['name' => 'Sub type', 'data-column' => 19, 'checked'],
        'property_type'              => ['name' => 'Property type', 'data-column' => 20, 'checked'],
        'developer_id'               => ['name' => 'Developer id', 'data-column' => 21, 'checked'],
        'bua'                        => ['name' => 'Bua', 'data-column' => 22, 'checked'],
        'plot'                       => ['name' => 'Plot', 'data-column' => 23, 'checked'],
        'premises_no'                => ['name' => 'Premises no', 'data-column' => 24, 'checked'],
        'price'                      => ['name' => 'Price', 'data-column' => 25, 'checked'],
        'title'                      => ['name' => 'Title', 'data-column' => 26, 'checked'],
        'str'                        => ['name' => 'Str', 'data-column' => 27, 'checked'],
        'fitted'                     => ['name' => 'Fitted', 'data-column' => 28, 'checked'],
        'baths'                      => ['name' => 'Baths', 'data-column' => 29, 'checked'],
        'plot_area'                  => ['name' => 'Plot area', 'data-column' => 30, 'checked'],
        'frequency'                  => ['name' => 'Frequency', 'data-column' => 31, 'checked'],
        'furnished'                  => ['name' => 'Furnished', 'data-column' => 32, 'checked'],
        'cheques'                    => ['name' => 'Cheques', 'data-column' => 33, 'checked'],
        'instalments'                => ['name' => 'Instalments', 'data-column' => 34, 'checked'],
        'instalment'                 => ['name' => 'Instalment', 'data-column' => 35, 'checked'],
        'maintenance_fee'            => ['name' => 'Maintenance fee', 'data-column' => 36, 'checked'],
        'next_available'             => ['name' => 'Next available', 'data-column' => 37, 'checked'],
        'rent_start_date'            => ['name' => 'Rent start date', 'data-column' => 38, 'checked'],
        'rent_end_date'              => ['name' => 'Rent end date', 'data-column' => 39, 'checked'],
        'rera'                       => ['name' => 'Rera', 'data-column' => 40, 'checked'],
        'payment_mode'               => ['name' => 'Payment mode', 'data-column' => 41, 'checked'],
        'deposit'                    => ['name' => 'Deposit', 'data-column' => 42, 'checked'],
        'deposit_percent'            => ['name' => 'Deposit percent', 'data-column' => 43, 'checked'],
        'commission_buyer'           => ['name' => 'Commission buyer', 'data-column' => 44, 'checked'],
        'commission_buyer_percent'        => ['name' => 'Commission buyer percent', 'data-column' => 45, 'checked'],
        'commission_seller'          => ['name' => 'Commission seller', 'data-column' => 46, 'checked'],
        'commission_seller_percent'        => ['name' => 'Commission seller percent', 'data-column' => 47, 'checked'],
        'commission_buyer_vat'        => ['name' => 'Commission buyer vat', 'data-column' => 48, 'checked'],
        'commission_seller_vat'        => ['name' => 'Commission seller vat', 'data-column' => 49, 'checked'],
        'company_com_prs'            => ['name' => 'Company com prs', 'data-column' => 50, 'checked'],
        'company_com_amt'            => ['name' => 'Company com amt', 'data-column' => 51, 'checked'],
        'deal_date'                  => ['name' => 'Deal date', 'data-column' => 52, 'checked'],
        'spa_date'                   => ['name' => 'Spa date', 'data-column' => 53, 'checked'],
        'deal_est_date'              => ['name' => 'Deal est date', 'data-column' => 54, 'checked'],
        'unit_no'                    => ['name' => 'Unit no', 'data-column' => 55, 'checked'],
        'subject_of_tenancy'         => ['name' => 'Subject of tenancy', 'data-column' => 56, 'checked'],
        'period_of_tenancy'          => ['name' => 'Period of tenancy', 'data-column' => 57, 'checked'],
        'terms_of_payment'           => ['name' => 'Terms of payment', 'data-column' => 58, 'checked'],
        'shared'                     => ['name' => 'Shared', 'data-column' => 59, 'checked'],
        'agent_name'                 => ['name' => 'Agent name', 'data-column' => 60, 'checked'],
        'agency_name'                => ['name' => 'Agency name', 'data-column' => 61, 'checked'],
        'representing'               => ['name' => 'Representing', 'data-column' => 62, 'checked'],
        'agents_name'                => ['name' => 'Agents name', 'data-column' => 63, 'checked'],
        'agency_prs'                 => ['name' => 'Agency prs', 'data-column' => 64, 'checked'],
        'agents_contact_no'          => ['name' => 'Agents contact no', 'data-column' => 65, 'checked'],
        'agent1'                     => ['name' => 'Agent1', 'data-column' => 66, 'checked'],
        'commission1_prs'            => ['name' => 'Commission1 prs', 'data-column' => 67, 'checked'],
        'commission1_amt'            => ['name' => 'Commission1 amt', 'data-column' => 68, 'checked'],
        'agent2'                     => ['name' => 'Agent2', 'data-column' => 69, 'checked'],
        'commission2_prs'            => ['name' => 'Commission2 prs', 'data-column' => 70, 'checked'],
        'commission2_amt'            => ['name' => 'Commission2 amt', 'data-column' => 71, 'checked'],
        'agent3'                     => ['name' => 'Agent3', 'data-column' => 72, 'checked'],
        'commission3_prs'            => ['name' => 'Commission3 prs', 'data-column' => 73, 'checked'],
        'commission3_amt'            => ['name' => 'Commission3 amt', 'data-column' => 74, 'checked'],
        'agency_commission_prs'        => ['name' => 'Agency commission prs', 'data-column' => 75, 'checked'],
        'agency_commission_amt'        => ['name' => 'Agency commission amt', 'data-column' => 76, 'checked'],
        'agency'                     => ['name' => 'Agency', 'data-column' => 77, 'checked'],
        'agency_amount'              => ['name' => 'Agency amount', 'data-column' => 78, 'checked'],
        'conveyance_fee'             => ['name' => 'Conveyance fee', 'data-column' => 79, 'checked'],
        'penalty'                    => ['name' => 'Penalty', 'data-column' => 80, 'checked'],
        'prev_notes'                 => ['name' => 'Prev notes', 'data-column' => 81, 'checked'],
        'beds'                       => ['name' => 'Beds', 'data-column' => 82, 'checked'],
        'atype'                      => ['name' => 'Atype', 'data-column' => 83, 'checked'],
        'street'                     => ['name' => 'Street', 'data-column' => 84, 'checked'],
        'floor'                      => ['name' => 'Floor', 'data-column' => 85, 'checked'],
        'property_usage'             => ['name' => 'Property usage', 'data-column' => 86, 'checked'],
        'tenancy'                    => ['name' => 'Tenancy', 'data-column' => 87, 'checked'],
        'notes'                      => ['name' => 'Notes', 'data-column' => 88, 'checked'],
        'documents'                  => ['name' => 'Documents', 'data-column' => 89, 'checked'],
        'pdf_documents'              => ['name' => 'Pdf documents', 'data-column' => 90, 'checked'],
        'seller_documents'           => ['name' => 'Seller documents', 'data-column' => 91, 'checked'],
        'buyer_documents'            => ['name' => 'Buyer documents', 'data-column' => 92, 'checked'],
        'deals_area'                 => ['name' => 'Deals area', 'data-column' => 93, 'checked'],
        'google_review'              => ['name' => 'Google review', 'data-column' => 94, 'checked'],
        'property_management'        => ['name' => 'Property management', 'data-column' => 95, 'checked'],
        'verified_id'                => ['name' => 'Verified id', 'data-column' => 96, 'checked'],
        'completed_date'             => ['name' => 'Completed date', 'data-column' => 97, 'checked'],
        'notifications'              => ['name' => 'Notifications', 'data-column' => 98, 'checked'],
        'approved_id'                => ['name' => 'Approved id', 'data-column' => 99, 'checked'],
        'approved_date'              => ['name' => 'Approved date', 'data-column' => 100, 'checked'],
        'closed_id'                  => ['name' => 'Closed id', 'data-column' => 101, 'checked'],
        'closed_date'                => ['name' => 'Closed date', 'data-column' => 102, 'checked'],
        'payment_date'               => ['name' => 'Payment date', 'data-column' => 103, 'checked'],
        'rejected_id'                => ['name' => 'Rejected id', 'data-column' => 104, 'checked'],
        'rejected_description'        => ['name' => 'Rejected description', 'data-column' => 105, 'checked'],
        'status_previous'            => ['name' => 'Status previous', 'data-column' => 106, 'checked'],
        'status_aml'                 => ['name' => 'Status aml', 'data-column' => 107, 'checked'],
        'status_fcs'                 => ['name' => 'Status fcs', 'data-column' => 108, 'checked'],
        'aml_id'                     => ['name' => 'Aml id', 'data-column' => 109, 'checked'],
        'aml_required'               => ['name' => 'Aml required', 'data-column' => 110, 'checked'],
        'aml_ids'                    => ['name' => 'Aml ids', 'data-column' => 111, 'checked'],
        'aml_notes'                  => ['name' => 'Aml notes', 'data-column' => 112, 'checked'],
        'aml_score'                  => ['name' => 'Aml score', 'data-column' => 113, 'checked'],
        'aml_date'                   => ['name' => 'Aml date', 'data-column' => 114, 'checked'],
        'created_by'                 => ['name' => 'Created by', 'data-column' => 115, 'checked'],
        'additional_terms'           => ['name' => 'Additional terms', 'data-column' => 116, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Conveyancings',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
