<?php

// API routes  for conveyancing
Route::prefix('{guard}/deal')->group(function () {
    Route::get('conveyancing/form/{element}', 'ConveyancingAPIController@form');
    Route::resource('conveyancing', 'ConveyancingAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for deals
            Route::prefix('{guard}/deal')->group(function () {
                Route::get('conveyancing/form/{element}', 'ConveyancingAPIController@form');
                Route::apiResource('conveyancing', 'ConveyancingAPIController');
            });
            // Public routes for deals
            Route::get('deal/Conveyancing', 'ConveyancingPublicController@getConveyancing');
        }
    );
}

// API routes  for deal
Route::prefix('{guard}/deal')->group(function () {
    Route::get('deal/form/{element}', 'DealAPIController@form');
    Route::resource('deal', 'DealAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for deals
            Route::prefix('{guard}/deal')->group(function () {
                Route::get('deal/form/{element}', 'DealAPIController@form');
                Route::apiResource('deal', 'DealAPIController');
            });
            // Public routes for deals
            Route::get('deal/Deal', 'DealPublicController@getDeal');
        }
    );
}

