<?php

// web routes  for conveyancing
Route::prefix('{guard}/deal')->group(function () {
    Route::resource('conveyancing', 'ConveyancingResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'ConveyancingResourceController');
            });
            // Public routes for pages
            Route::get('deals/', 'ConveyancingPublicController@index');
            Route::get('deals/{slug?}', 'ConveyancingPublicController@show');
        }
    );
}

// web routes  for deal
Route::prefix('{guard}/deal')->group(function () {
    Route::resource('deal', 'DealResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'DealResourceController');
            });
            // Public routes for pages
            Route::get('deals/', 'DealPublicController@index');
            Route::get('deals/{slug?}', 'DealPublicController@show');
        }
    );
}

