<?php

namespace Bixo\Deal;

use User;

class Deal
{
    /**
     * $conveyancing object.
     */
    protected $conveyancing;

    /**
     * Constructor.
     */
    public function __construct(\Bixo\Deal\Interfaces\ConveyancingRepositoryInterface $conveyancing)
    {
        $this->conveyancing = $conveyancing;
    }

    /**
     * Returns count of deal.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.conveyancing.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->conveyancing->pushCriteria(new \Litepie\Bixo\Repositories\Criteria\ConveyancingUserCriteria());
        }

        $conveyancing = $this->conveyancing->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('deal::' . $view, compact('conveyancing'))->render();
    }
}
