<?php

namespace Bixo\Deal\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Conveyancing policy
        'Bixo\Deal\Models\Conveyancing' => \Bixo\Deal\Policies\ConveyancingPolicy::class,// Bind Deal policy
        'Bixo\Deal\Models\Deal' => \Bixo\Deal\Policies\DealPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
