<?php

namespace Bixo\Deal\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ConveyancingTransformer extends TransformerAbstract
{
    public function transform(\Bixo\Deal\Models\Conveyancing $conveyancing)
    {
        return [
            'id'                => $conveyancing->getRouteKey(),
            'key'               => [
                'public'    => $conveyancing->getPublicKey(),
                'route'     => $conveyancing->getRouteKey(),
            ], 
            'parent_id'         => $conveyancing->parent_id,
            'buyer_id'          => $conveyancing->buyer_id,
            'seller_id'         => $conveyancing->seller_id,
            'team_id'           => $conveyancing->team_id,
            'offer_id'          => $conveyancing->offer_id,
            'deal_id'           => $conveyancing->deal_id,
            'seller_source'     => $conveyancing->seller_source,
            'buyer_source'      => $conveyancing->buyer_source,
            'category_id'       => $conveyancing->category_id,
            'listing_id'        => $conveyancing->listing_id,
            'opportunity_id'    => $conveyancing->opportunity_id,
            'country_id'        => $conveyancing->country_id,
            'state_id'          => $conveyancing->state_id,
            'city_id'           => $conveyancing->city_id,
            'location_id'       => $conveyancing->location_id,
            'sublocation_id'    => $conveyancing->sublocation_id,
            'property_id'       => $conveyancing->property_id,
            'ref'               => $conveyancing->ref,
            'type'              => $conveyancing->type,
            'sub_type'          => $conveyancing->sub_type,
            'property_type'     => $conveyancing->property_type,
            'developer_id'      => $conveyancing->developer_id,
            'bua'               => $conveyancing->bua,
            'plot'              => $conveyancing->plot,
            'premises_no'       => $conveyancing->premises_no,
            'price'             => $conveyancing->price,
            'title'             => $conveyancing->title,
            'str'               => $conveyancing->str,
            'fitted'            => $conveyancing->fitted,
            'baths'             => $conveyancing->baths,
            'plot_area'         => $conveyancing->plot_area,
            'frequency'         => $conveyancing->frequency,
            'furnished'         => $conveyancing->furnished,
            'cheques'           => $conveyancing->cheques,
            'instalments'       => $conveyancing->instalments,
            'instalment'        => $conveyancing->instalment,
            'maintenance_fee'   => $conveyancing->maintenance_fee,
            'next_available'    => $conveyancing->next_available,
            'rent_start_date'   => $conveyancing->rent_start_date,
            'rent_end_date'     => $conveyancing->rent_end_date,
            'rera'              => $conveyancing->rera,
            'payment_mode'      => $conveyancing->payment_mode,
            'deposit'           => $conveyancing->deposit,
            'deposit_percent'   => $conveyancing->deposit_percent,
            'commission_buyer'  => $conveyancing->commission_buyer,
            'commission_buyer_percent' => $conveyancing->commission_buyer_percent,
            'commission_seller' => $conveyancing->commission_seller,
            'commission_seller_percent' => $conveyancing->commission_seller_percent,
            'commission_buyer_vat' => $conveyancing->commission_buyer_vat,
            'commission_seller_vat' => $conveyancing->commission_seller_vat,
            'company_com_prs'   => $conveyancing->company_com_prs,
            'company_com_amt'   => $conveyancing->company_com_amt,
            'deal_date'         => $conveyancing->deal_date,
            'spa_date'          => $conveyancing->spa_date,
            'deal_est_date'     => $conveyancing->deal_est_date,
            'unit_no'           => $conveyancing->unit_no,
            'subject_of_tenancy' => $conveyancing->subject_of_tenancy,
            'period_of_tenancy' => $conveyancing->period_of_tenancy,
            'terms_of_payment'  => $conveyancing->terms_of_payment,
            'shared'            => $conveyancing->shared,
            'agent_name'        => $conveyancing->agent_name,
            'agency_name'       => $conveyancing->agency_name,
            'representing'      => $conveyancing->representing,
            'agents_name'       => $conveyancing->agents_name,
            'agency_prs'        => $conveyancing->agency_prs,
            'agents_contact_no' => $conveyancing->agents_contact_no,
            'agent1'            => $conveyancing->agent1,
            'commission1_prs'   => $conveyancing->commission1_prs,
            'commission1_amt'   => $conveyancing->commission1_amt,
            'agent2'            => $conveyancing->agent2,
            'commission2_prs'   => $conveyancing->commission2_prs,
            'commission2_amt'   => $conveyancing->commission2_amt,
            'agent3'            => $conveyancing->agent3,
            'commission3_prs'   => $conveyancing->commission3_prs,
            'commission3_amt'   => $conveyancing->commission3_amt,
            'agency_commission_prs' => $conveyancing->agency_commission_prs,
            'agency_commission_amt' => $conveyancing->agency_commission_amt,
            'agency'            => $conveyancing->agency,
            'agency_amount'     => $conveyancing->agency_amount,
            'conveyance_fee'    => $conveyancing->conveyance_fee,
            'penalty'           => $conveyancing->penalty,
            'prev_notes'        => $conveyancing->prev_notes,
            'beds'              => $conveyancing->beds,
            'atype'             => $conveyancing->atype,
            'street'            => $conveyancing->street,
            'floor'             => $conveyancing->floor,
            'property_usage'    => $conveyancing->property_usage,
            'tenancy'           => $conveyancing->tenancy,
            'notes'             => $conveyancing->notes,
            'documents'         => $conveyancing->documents,
            'pdf_documents'     => $conveyancing->pdf_documents,
            'seller_documents'  => $conveyancing->seller_documents,
            'buyer_documents'   => $conveyancing->buyer_documents,
            'deals_area'        => $conveyancing->deals_area,
            'google_review'     => $conveyancing->google_review,
            'property_management' => $conveyancing->property_management,
            'verified_id'       => $conveyancing->verified_id,
            'completed_date'    => $conveyancing->completed_date,
            'notifications'     => $conveyancing->notifications,
            'approved_id'       => $conveyancing->approved_id,
            'approved_date'     => $conveyancing->approved_date,
            'closed_id'         => $conveyancing->closed_id,
            'closed_date'       => $conveyancing->closed_date,
            'payment_date'      => $conveyancing->payment_date,
            'rejected_id'       => $conveyancing->rejected_id,
            'rejected_description' => $conveyancing->rejected_description,
            'status_previous'   => $conveyancing->status_previous,
            'status_aml'        => $conveyancing->status_aml,
            'status_fcs'        => $conveyancing->status_fcs,
            'aml_id'            => $conveyancing->aml_id,
            'aml_required'      => $conveyancing->aml_required,
            'aml_ids'           => $conveyancing->aml_ids,
            'aml_notes'         => $conveyancing->aml_notes,
            'aml_score'         => $conveyancing->aml_score,
            'aml_date'          => $conveyancing->aml_date,
            'user_id'           => $conveyancing->user_id,
            'user_type'         => $conveyancing->user_type,
            'deleted_at'        => $conveyancing->deleted_at,
            'created_by'        => $conveyancing->created_by,
            'additional_terms'  => $conveyancing->additional_terms,
            'url'               => [
                'public'    => trans_url('deal/'.$conveyancing->getPublicKey()),
                'user'      => guard_url('deal/conveyancing/'.$conveyancing->getRouteKey()),
            ], 
            'status'            => trans('app.'.$conveyancing->status),
            'created_at'        => format_date($conveyancing->created_at),
            'updated_at'        => format_date($conveyancing->updated_at),
        ];
    }
}