<?php

namespace Bixo\Deal\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class DealTransformer extends TransformerAbstract
{
    public function transform(\Bixo\Deal\Models\Deal $deal)
    {
        return [
            'id'                => $deal->getRouteKey(),
            'key'               => [
                'public'    => $deal->getPublicKey(),
                'route'     => $deal->getRouteKey(),
            ], 
            'parent_id'         => $deal->parent_id,
            'buyer_id'          => $deal->buyer_id,
            'seller_id'         => $deal->seller_id,
            'team_id'           => $deal->team_id,
            'offer_id'          => $deal->offer_id,
            'seller_source'     => $deal->seller_source,
            'buyer_source'      => $deal->buyer_source,
            'category_id'       => $deal->category_id,
            'listing_id'        => $deal->listing_id,
            'opportunity_id'    => $deal->opportunity_id,
            'country_id'        => $deal->country_id,
            'state_id'          => $deal->state_id,
            'city_id'           => $deal->city_id,
            'location_id'       => $deal->location_id,
            'sublocation_id'    => $deal->sublocation_id,
            'property_id'       => $deal->property_id,
            'ref'               => $deal->ref,
            'type'              => $deal->type,
            'sub_type'          => $deal->sub_type,
            'property_type'     => $deal->property_type,
            'developer_id'      => $deal->developer_id,
            'bua'               => $deal->bua,
            'plot'              => $deal->plot,
            'premises_no'       => $deal->premises_no,
            'price'             => $deal->price,
            'title'             => $deal->title,
            'str'               => $deal->str,
            'fitted'            => $deal->fitted,
            'baths'             => $deal->baths,
            'plot_area'         => $deal->plot_area,
            'frequency'         => $deal->frequency,
            'furnished'         => $deal->furnished,
            'cheques'           => $deal->cheques,
            'instalments'       => $deal->instalments,
            'instalment'        => $deal->instalment,
            'maintenance_fee'   => $deal->maintenance_fee,
            'next_available'    => $deal->next_available,
            'rent_start_date'   => $deal->rent_start_date,
            'rent_end_date'     => $deal->rent_end_date,
            'rera'              => $deal->rera,
            'payment_mode'      => $deal->payment_mode,
            'deposit'           => $deal->deposit,
            'deposit_percent'   => $deal->deposit_percent,
            'commission_buyer'  => $deal->commission_buyer,
            'commission_buyer_percent' => $deal->commission_buyer_percent,
            'commission_seller' => $deal->commission_seller,
            'commission_seller_percent' => $deal->commission_seller_percent,
            'commission_buyer_vat' => $deal->commission_buyer_vat,
            'commission_seller_vat' => $deal->commission_seller_vat,
            'company_com_prs'   => $deal->company_com_prs,
            'company_com_amt'   => $deal->company_com_amt,
            'deal_date'         => $deal->deal_date,
            'spa_date'          => $deal->spa_date,
            'deal_est_date'     => $deal->deal_est_date,
            'unit_no'           => $deal->unit_no,
            'subject_of_tenancy' => $deal->subject_of_tenancy,
            'period_of_tenancy' => $deal->period_of_tenancy,
            'terms_of_payment'  => $deal->terms_of_payment,
            'shared'            => $deal->shared,
            'agent_name'        => $deal->agent_name,
            'agency_name'       => $deal->agency_name,
            'representing'      => $deal->representing,
            'agents_name'       => $deal->agents_name,
            'agency_prs'        => $deal->agency_prs,
            'agents_contact_no' => $deal->agents_contact_no,
            'agent1'            => $deal->agent1,
            'commission1_prs'   => $deal->commission1_prs,
            'commission1_amt'   => $deal->commission1_amt,
            'agent2'            => $deal->agent2,
            'commission2_prs'   => $deal->commission2_prs,
            'commission2_amt'   => $deal->commission2_amt,
            'agent3'            => $deal->agent3,
            'commission3_prs'   => $deal->commission3_prs,
            'commission3_amt'   => $deal->commission3_amt,
            'agency_commission_prs' => $deal->agency_commission_prs,
            'agency_commission_amt' => $deal->agency_commission_amt,
            'agency'            => $deal->agency,
            'agency_amount'     => $deal->agency_amount,
            'conveyance_fee'    => $deal->conveyance_fee,
            'penalty'           => $deal->penalty,
            'prev_notes'        => $deal->prev_notes,
            'beds'              => $deal->beds,
            'atype'             => $deal->atype,
            'street'            => $deal->street,
            'floor'             => $deal->floor,
            'property_usage'    => $deal->property_usage,
            'tenancy'           => $deal->tenancy,
            'notes'             => $deal->notes,
            'documents'         => $deal->documents,
            'pdf_documents'     => $deal->pdf_documents,
            'seller_documents'  => $deal->seller_documents,
            'buyer_documents'   => $deal->buyer_documents,
            'deals_area'        => $deal->deals_area,
            'google_review'     => $deal->google_review,
            'property_management' => $deal->property_management,
            'verified_id'       => $deal->verified_id,
            'completed_date'    => $deal->completed_date,
            'notifications'     => $deal->notifications,
            'approved_id'       => $deal->approved_id,
            'approved_date'     => $deal->approved_date,
            'closed_id'         => $deal->closed_id,
            'closed_date'       => $deal->closed_date,
            'payment_date'      => $deal->payment_date,
            'rejected_id'       => $deal->rejected_id,
            'rejected_description' => $deal->rejected_description,
            'status_previous'   => $deal->status_previous,
            'status_aml'        => $deal->status_aml,
            'status_fcs'        => $deal->status_fcs,
            'aml_id'            => $deal->aml_id,
            'aml_required'      => $deal->aml_required,
            'aml_ids'           => $deal->aml_ids,
            'aml_notes'         => $deal->aml_notes,
            'aml_score'         => $deal->aml_score,
            'aml_date'          => $deal->aml_date,
            'user_id'           => $deal->user_id,
            'user_type'         => $deal->user_type,
            'deleted_at'        => $deal->deleted_at,
            'created_by'        => $deal->created_by,
            'additional_terms'  => $deal->additional_terms,
            'url'               => [
                'public'    => trans_url('deal/'.$deal->getPublicKey()),
                'user'      => guard_url('deal/deal/'.$deal->getRouteKey()),
            ], 
            'status'            => trans('app.'.$deal->status),
            'created_at'        => format_date($deal->created_at),
            'updated_at'        => format_date($deal->updated_at),
        ];
    }
}